Subject: Re: [PATCH v4 1/2] add `config_set` API for caching config files

From: Tanay Abhra <[email-masked]>
Date: Fri, 04 Jul 2014 14:55:54 +0530

On 7/4/2014 2:47 PM, Matthieu Moy wrote:
> Tanay Abhra <[email-masked]> writes:
> 
>> Hi,
>>
>> I have cooked up a single hashmap implementation. What are your
>> thoughts about it?
> 
> I had a quick look, and it looks good to me. I'll make a more detailed
> review when you send the next series.
>

One more doubt, does <filename,linenr> for every value has any use other than
raising semantic error in typespecific API functions.

For example, if we call git_config_get_int(foo.bar), we can show to the user
"value not a int at <filename, linenr>". Other than that I cannot think of
any other use of it. Currently `git_config_int` dies if value put for
parsing is not an int.

Junio and Karsten, both raised the point for saving <filename,linenr>, but I can't
find any use cases for it other than what I mentioned above.

Thanks.
Tanay.